<!DOCTYPE html>
<html ng-app="rakhat-project">

<head>
    <meta charset="utf-8" />
    <title>Product List</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.angularjs.org/1.5.8/angular.js"></script>
    <script src="app.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="style.css" rel="stylesheet">
</head>
<style>
    .top{
        background-image: url("https://img.freepik.com/free-vector/chocolate-background-3d-realistic-vector_163454-172.jpg?size=626&ext=jpg");
        background-repeat: no-repeat;
        background-size: 100% 100%;
    }
</style>
<body ng-controller="AdminCtrl">

<div class="container">
    <h1>Hello Admin</h1>

    <div class="row">
        <div class="col-log-12">
            <div id="options" class="m-b-10">
                <span class="gallery-option-set" id="filter" data-option-key="filter">
                    <button type="button" class="btn btn-warning" ng-repeat="category in categoryList" ng-click="getProductsByCategory(category.id)">{{category.name}}</button>
                </span>
            </div>
        </div>
    </div>

    <div>
        <h3>All Orders</h3>
        <h6>Status: Ordered</h6>
        <div ng-repeat="orders in orderList">
            <div  ng-if="orders.status == 'Ordered'"><span>Order ID: </span><span ng-bind="orders.id"></span><br></div>

            <table class="table" ng-if="orders.status == 'Ordered'">
                <thead>
                <th>Product</th>
                <th>Quantity</th>
                <th>Weight</th>
                <th>Price</th>
                </thead>
                <tr ng-repeat="p in orders.orderItemList">
                    <td ng-bind="p.product.name"></td>
                    <td ng-bind="p.quantity"></td>
                    <td ng-bind="p.weight"></td>
                    <td ng-bind="p.price"></td>
                </tr>

            </table>
            <div ng-if="orders.status == 'Ordered'">
                <span>CustomerID: </span><span ng-bind="orders.customerId"></span><br>
                <span>Status: </span><span ng-bind="orders.status"></span><br>
                <span>Total Price: </span><span ng-bind="orders.totalPrice"></span><br>
                <button ng-click="changeStatus(orders.token)">Shipmented</button>
                <button ng-click="deleteOrder(orders.token)">Delete</button>
            </div>
            <br ng-if="orders.status == 'Ordered'">
            <br ng-if="orders.status == 'Ordered'">
        </div>
        <br>
        <br>
        <h6>Status: Shipmented</h6>
        <div ng-repeat="orders in orderList">
            <div  ng-if="orders.status == 'Shipmented'"><span>Order ID: </span><span ng-bind="orders.id"></span><br></div>
            <table class="table" ng-if="orders.status == 'Shipmented'">
                <thead>
                <th>Product</th>
                <th>Quantity</th>
                <th>Weight</th>
                <th>Price</th>
                </thead>
                <tr ng-repeat="p in orders.orderItemList">
                    <td ng-bind="p.product.name"></td>
                    <td ng-bind="p.quantity"></td>
                    <td ng-bind="p.weight"></td>
                    <td ng-bind="p.price"></td>
                </tr>

            </table>
            <div ng-if="orders.status == 'Shipmented'">
                <span>CustomerID: </span><span ng-bind="orders.customerId"></span><br>
                <span>Status: </span><span ng-bind="orders.status"></span><br>
                <span>Total Price: </span><span ng-bind="orders.totalPrice"></span><br>
                <button ng-click="changeStatus(orders.token)">Delivered</button>
            </div>
            <br ng-if="orders.status == 'Shipmented'">
            <br ng-if="orders.status == 'Shipmented'">
        </div>
        <br>
        <br>
        <h6>Status: Delivered</h6>
        <div ng-repeat="orders in orderList">
            <div  ng-if="orders.status == 'Delivered'"><span>Order ID: </span><span ng-bind="orders.id"></span><br></div>
            <table class="table" ng-if="orders.status == 'Delivered'">
                <thead>
                <th>Product</th>
                <th>Quantity</th>
                <th>Weight</th>
                <th>Price</th>
                </thead>
                <tr ng-repeat="p in orders.orderItemList">
                    <td ng-bind="p.product.name"></td>
                    <td ng-bind="p.quantity"></td>
                    <td ng-bind="p.weight"></td>
                    <td ng-bind="p.price"></td>
                </tr>

            </table>
            <div ng-if="orders.status == 'Delivered'">
                <span>CustomerID: </span><span ng-bind="orders.customerId"></span><br>
                <span>Status: </span><span ng-bind="orders.status"></span><br>
                <span>Total Price: </span><span ng-bind="orders.totalPrice"></span><br>
            </div>
            <br ng-if="orders.status == 'Delivered'">
            <br ng-if="orders.status == 'Delivered'">
        </div>
        <br>
        <br>
    </div>

    <h3>Product List</h3>
    <div class="row">
        <table class="table table-bordered table-striped table-condensed">
            <thead>
            <th>ID</th>
            <th>name</th>
            <th>description</th>
            <th>weight</th>
            <th>unit</th>
            <th>composition</th>
            <th>categoryID</th>
            <th>price</th>
            <th>stock</th>
            <th>Add</th>
            </thead>
            <tr ng-repeat="product in productList | orderBy: 'id'">
                <td ng-bind="product.productId"></td>
                <td ng-bind="product.name"></td>
                <td ng-bind="product.description"></td>
                <td ng-bind="product.weight"></td>
                <td ng-bind="product.unit"></td>
                <td ng-bind="product.composition"></td>
                <td ng-bind="product.categoryId"></td>
                <td ng-bind="product.price"></td>
                <td ng-bind="product.stock"></td>
                <td>
                    <input ng-model="pr.stock" type="number" min="0" class="form-control form-control-lg inverse-mode" />
                    <div class="login-buttons">
                        <button ng-click="addStock(pr, product.productId)" type="submit" class="btn btn-success btn-block btn-lg">Add</button>
                    </div>
                </td>
            </tr>
        </table>
    </div>
</div>
</body>

</html>